Не монтируется USB в Ubuntu 10.04 «Lucid Lynx»? Исправляем!

Если в Ubuntu 10.04 «Lucid Lynx» у вас не монтируются USB-устройства, то высоковероятно что проблема кроется в модуле floppy. Отключаем его

sudo modprobe -r floppy

и перезапускаем компьютер.

Источник USB devices not mounting in Lucid? Here’s a fix.

Не монтируется USB в Ubuntu 10.04 «Lucid Lynx»? Исправляем!: 4 комментария

  1. я как_то_такое сильно подозреваю, что после перезагрузки модуль floppy снова загрузится автоматом.
    нужно добавить его в blacklist:
    «echo blacklist floppy>>/etc/modprobe.d/blacklist»

  2. В Ubuntu 10.04 Desktop не монтируется floppy
    (смотрел другие сайты, и их советы не помогают)

    /etc/fstab:

    /dev/fd0 /floppy auto rw,noauto 0 0
    /dev/fd0 /home/jims/floppy auto rw,noauto 0 0
    ———————————————————————

    /etc/modules:

    # /etc/modules: kernel modules to load at boot time.
    #
    # This file contains the names of kernel modules that should be loaded
    # at boot time, one per line. Lines beginning with «#» are ignored.

    loop
    lp
    floppy

    # Generated by sensors-detect on Fri Aug 6 22:45:23 2010
    # Chip drivers

    ———————————————————————

    выдаёт ошибку:

    jims@jims:~$ sudo mount floppy
    jims@jims:~$ dmesg | tail
    [ 827.755934] end_request: I/O error, dev fd0, sector 25
    [ 827.755966] FAT: Directory bread(block 25) failed
    [ 828.556091] floppy0: data CRC error: track 0, head 1, sector 8, size 2
    [ 828.756093] floppy0: data CRC error: track 0, head 1, sector 8, size 2
    [ 828.756106] end_request: I/O error, dev fd0, sector 25
    [ 828.756139] FAT: Directory bread(block 25) failed
    [ 829.356180] floppy0: data CRC error: track 0, head 1, sector 8, size 2
    [ 829.556190] floppy0: data CRC error: track 0, head 1, sector 8, size 2
    [ 829.556202] end_request: I/O error, dev fd0, sector 25
    [ 829.556235] FAT: Directory bread(block 25) failed

    1. Мне кажется что это из-за «data CRC error», то есть контрольная сумма данных не совпадает с тем, что есть на дискете. То есть она испорчена.

  3. @Dmitry (Дмитрий) having trouble with the floppy. A downgrade of the udisks package will likely fix it. Synaptic>search udisks>Package>Force Version>select «1.0.1-1build1 (lucid)»>Apply

Добавить комментарий для Дмитрий Отменить ответ

Ваш адрес email не будет опубликован.

Этот сайт использует Akismet для борьбы со спамом. Узнайте, как обрабатываются ваши данные комментариев.

Материалы распространяются под лицензией Creative Commons: Атрибуция — Некоммерческое использование — С сохранением условий (Attribution-NonCommercial-ShareAlike) 3.0 Unported.
Рейтинг@Mail.ru